version: '3'

services:
   server:
       build:
         context: .
         dockerfile: Dockerfile
       container_name: fastapi_server
       network_mode: bridge
       ports:
         - "8000:8000"
       volumes:
         - ./fastapi:/fastapi
       tty: true
       stdin_open: true
       restart: always
